# Interface IContainerSnapshot<T extends IContainer>

All Superinterfaces:
  `IResourceSnapshot<T>`

public interface IContainerSnapshot<T extends IContainer> extends IResourceSnapshot<T>
IContainerSnapshot is a lightweight description that describes a container to be created.

Since:
  3.20
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`addMember(IResourceSnapshot<? extends IResource> member)`
Add the specified resource description as a member of this resource description
`IResourceSnapshot<? extends IResource>[]`
`getMembers()`
Get a list of snapshots of members of this container
`void`
`setFilters(IResourceFilterDescription[] filterList)`
Set the filters to which should be created on this container.
`void`
`setLocation(URI linkLocation)`
Set the location to which this container is linked.

### Methods inherited from interface IResourceSnapshot

`createExistentResourceFromHandle, createResource, createResourceHandle, getName, isValid, recordStateFromHistory, verifyExistence`

## Method Details

### getMembers

IResourceSnapshot<? extends IResource>[] getMembers()
Get a list of snapshots of members of this container

Returns:
  a list of snapshots

### addMember

void addMember(IResourceSnapshot<? extends IResource> member)
Add the specified resource description as a member of this resource description

Parameters:
  `member` - the resource description considered a member of this container.

### setLocation

void setLocation(URI linkLocation)
Set the location to which this container is linked.

Parameters:
  `linkLocation` - the location URI, or `null` if there is no link

### setFilters

void setFilters(IResourceFilterDescription[] filterList)
Set the filters to which should be created on this container.

Parameters:
  `filterList` - the filters